package com.psmreborn.pkgj;

import java.io.File;

public class Game {
    private String titleId;
    private String title;
    private String downloadUrl;
    private String zRIF;

    public String getTitleId() {
        return this.titleId;
    }
    public String getTitle() {
        return this.title;
    }
    public String getDownloadUrl() {
        return this.downloadUrl;
    }
    public String getZrif(){
        return this.zRIF;
    }

    public String getPkgFilename() {
        return new File(this.getDownloadUrl()).getName();
    }

    public Byte[] getFakeRif() {
        // todo: decode zrif
        return null;
    }

    @Override
    public String toString() {
        return title;
    }

    public Game(String titleId, String title, String downloadUrl, String zRIF){
        this.titleId = titleId;
        this.title = title;
        this.downloadUrl = downloadUrl;
        this.zRIF = zRIF;
    }
}
